summaryrefslogtreecommitdiffstats
path: root/K_belwagen/playmobil
diff options
context:
space:
mode:
authortv <tv@shackspace.de>2014-12-20 23:50:33 +0100
committertv <tv@shackspace.de>2014-12-20 23:50:33 +0100
commit5c7c7d242fa943ec7a96de4a43efa3fc6b1ef77a (patch)
treeb0207325db6b66a9e346956e3793224022be0900 /K_belwagen/playmobil
parentb7ea9e035a729186afb57894891d3bdec43aa9ae (diff)
nixify Kübelwagen (without UTF-8 :/)
Diffstat (limited to 'K_belwagen/playmobil')
-rwxr-xr-xK_belwagen/playmobil12
1 files changed, 12 insertions, 0 deletions
diff --git a/K_belwagen/playmobil b/K_belwagen/playmobil
new file mode 100755
index 00000000..51ed70d6
--- /dev/null
+++ b/K_belwagen/playmobil
@@ -0,0 +1,12 @@
+#! /bin/sh
+file=`mktemp`
+trap "rm -f $file" EXIT INT TERM
+
+gcc -xc -lm -o $file - <<EOF
+#include<math.h>
+main(t) {
+ for (t=${2-0};;++t) putchar($1);
+}
+EOF
+
+$file | aplay